
Smart Proxy - Bug #18210

Libvirt provider fails to set DHCP nametag when record doesn't have name field
Status: Resolved   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/500

  

Description

To set the nametag we call record.name, which might not be available.

In such a case, record.name fails with

] pry(#<Proxy::DHCP::Libvirt::LibvirtDHCPNetwork>)> record.name

#NoMethodError: undefined method `name' for #<Proxy::DHCP::Lease:0x005654f2c66798>

#from (pry):5:in `del_dhcp_record'

and the entire deletion fails. It should not call .name if it's not there.

Related issues:

Related to Smart Proxy - Bug #18070: When adding a new dhcp reservation, ip a... Closed 01/13/2017

History

#1 - 01/24/2017 04:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/smart-proxy/pull/500 added

#2 - 01/24/2017 05:02 AM - Anonymous

- Related to Bug #18070: When adding a new dhcp reservation, ip and mac addresses should be checked not only against existing reservations but

leases as well added

#3 - 01/24/2017 09:57 AM - Daniel Lobato Garcia

- Target version set to 169

#4 - 01/25/2017 11:41 AM - Anonymous

- Target version deleted (169)

Closing this issue, as #18070 has been merged.

#5 - 01/25/2017 11:41 AM - Anonymous

- Status changed from Ready For Testing to Resolved
